curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/termBases \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"qualityAssuranceTermBases": [
{
"id": "<string>"
}
],
"readTermBases": [
{
"id": "<string>"
}
],
"targetLang": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/termBases"
payload = {
"qualityAssuranceTermBases": [{ "id": "<string>" }],
"readTermBases": [{ "id": "<string>" }],
"targetLang": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
qualityAssuranceTermBases: [{id: '<string>'}],
readTermBases: [{id: '<string>'}],
targetLang: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/termBases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"termBases": [
{
"qualityAssurance": true,
"readMode": true,
"targetLocale": "<string>",
"termBase": {
"name": "<string>",
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"canShow": true,
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"langs": [
"<string>"
],
"note": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"readonly": true,
"sourceUrl": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"uid": "<string>",
"userAllowedOperations": [
"<string>"
]
},
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
},
"writeMode": true
}
]
}Edit term bases
Replaces all existing term base assignments for the specified target language, or for all project target languages if targetLang is omitted.
To assign a term base for write mode, include it in both readTermBases and writeTermBase. To assign a term base for quality assurance, include it in both readTermBases and qualityAssuranceTermBases.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
Term base assignment
Term bases to assign for quality assurance. Must also be present in readTermBases.
Show child attributes
Show child attributes
Term bases for reading. Must include any writeTermBase or qualityAssuranceTermBases entries.
Show child attributes
Show child attributes
Target language locale code. If omitted, applies to all project target languages.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?